OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TexturePerturbNormal

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTexturePerturbNormal :: MonadIO m => m Bool
- gl_EXT_texture_perturb_normal :: Bool
- gl_PERTURB_EXT :: GLenum
- gl_TEXTURE_NORMAL_EXT :: GLenum
- glTextureNormalEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTTexturePerturbNormal :: MonadIO m => m Bool

Is the EXT_texture_perturb_normal extension supported?

gl_EXT_texture_perturb_normal :: Bool

Is the EXT_texture_perturb_normal extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTexturePerturbNormal` in those cases instead.

# Enums

gl_PERTURB_EXT :: GLenum

gl_TEXTURE_NORMAL_EXT :: GLenum

# Functions

glTextureNormalEXT

Arguments

:: MonadIO m |
=> GLenum | `mode` of type `TextureNormalModeEXT`.
-> m () |